<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CodingContractName](./bitburner.codingcontractname.md)

## CodingContractName type


**Signature:**

```typescript
type CodingContractName = _ValueOf<CodingContractNameEnumType>;
```
**References:** [\_ValueOf](./bitburner._valueof.md)<!-- -->, [CodingContractNameEnumType](./bitburner.codingcontractnameenumtype.md)

